##############################################################################
# Paramétrages spécifiques au jeu
##############################################################################


### Déclarez sous cette ligne les images, avec l'instruction 'image'
# Images définies automatiquement (dans le fichier images/ivy et images/originaux/ivy)

# Définitions des couleurs de l'histoire en fonction des images affichées
init -1 python:
    couleur_chanteuse = "#ffa277"
    couleur_racine = "#bd998b"
    couleur_chat = "#a69976"
    couleur_fenetre = "#8fae0a"
    blanc = "#fff"
    couleur_plage = "#7dc9fa"

##############################################################################
# Histoire
##############################################################################

label histoire_ivy:    

    # Nom pour les signets positionnés dans cette section
    $ save_name = _("La chanteuse")
    
    # couleur du texte / fond
    $ couleur_narration = couleur_chanteuse
    show expression Solid (couleur_narration) 
    show fonds nvl
    
    show ivy chanteuse at left
    play music "audio/ivy/ivy_noir1.mp3"
    
    n "Ivy était la chanteuse la plus fascinante que vous ayez jamais rencontrée."
    n "Ivy était riche, célèbre, adulée, inoubliable... et plus encore !"
    n "Quand elle montait sur scène, chacun des membres du public était comme envoûté par sa voix chaude et sensuelle. Son charme agissait de la même façon sur les hommes comme sur les femmes. Croiser son regard vous faisait sentir comme une brûlure dans les entrailles."
    n "Nul ne pouvait rester insensible. La voir une fois, l'entendre une fois, c'était vouloir la voir encore, l'entendre encore, et encore, et encore, comme une drogue."
    nvl clear
    n "Bien sûr, tout ceci ne pouvait se comprendre sans faire intervenir une quelconque explication surnaturelle."
    n "Tous ignoraient donc qu'Ivy avait conclu un pacte avec une divinité païenne : la gloire éternelle et indiscutée contre son âme immortelle."
    
    play music "audio/ivy/Capitaine_Cookie_-_La_momie_Scythe.mp3" fadeout 3.0 fadein 2.0
    n "Ivy avait il y a déjà bien longtemps consulté un vieux livre de magie, où l'on parlait d'un arbre magique, capable de vous faire renaître en exauçant votre souhait le plus cher."
    nvl clear
    
    # Nom pour les signets positionnés dans cette section
    $ save_name = _("L'arbre magique")
    
    $ couleur_narration = couleur_racine
    show expression Solid (couleur_narration) behind ivy, fonds
    show ivy racine 
    
    n "Ivy se rendit donc un jour dans une très vieille forêt et trouva l'arbre magique décrit dans le grimoire."
    n "L'arbre lui parla :"
    n "\"Que veux-tu humaine ? Quel est le désir que je puis exaucer pour toi ?"
    n "- Je veux chanter, et que ma voix fascine tous ceux qui l'entendront, souhaita Ivy. Que nul ne puisse jamais l'oublier et souhaite l'entendre, encore et encore."
    n "- Je peux faire cela pour toi, proposa le Dieu-arbre, mais tu devras accepter mes conditions, sans restrictions."
    
    nvl clear
    
    n "- Et quelles sont ces conditions ? s'inquiéta Ivy."
    n "- Tu devras te fondre en moi, expliqua le Dieu-arbre. J'absorberai ta substance, qui m'appartiendra donc pour l'éternité, et je la remplacerai par une substance créée par mes pouvoirs, qui aura les propriétés que tu désires."
    n "- Mais je serai toujours humaine, et je pourrai chanter ?"
    n "- Tu en auras l'apparence et les sensations, mais ta nouvelle substance sera mienne. Pour le reste, rien ne changera, sauf l'accomplissement de ton désir\", confirma le Dieu-arbre."
    
    nvl clear
    
    n "\"Es-tu prête à accepter mes conditions ?\" s'enquit le Dieu-arbre."
    n "Ivy sentait bien qu'il y avait quelque chose de tortueux dans ce marché, mais la gloire lui faisait trop envie."
    n "\"Je suis prête, accepta Ivy."
    n "- Viens donc alors, humaine !\""
    n "Une fente s'ouvrit au milieu des entrelacs de racines, où Ivy devait pénétrer."
    
    nvl clear
    
    n "Le Dieu arbre fit comme il l'avait annoncé."
    n "Ivy entra dans la fente, la fente se referma derrière elle, l'arbre absorba sa substance, et la digéra pendant trois jours."
    n "À la fin des trois jours, le Dieu-arbre la recracha, avec une toute nouvelle substance, presque semblable à la précédente, à part cette petite pointe de magie..."
    n "Le Dieu-arbre avait tenu sa promesse, et dès qu'elle se mit à chanter, Ivy fascina tous ceux qui l'écoutèrent."
    
    nvl clear

    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Après le pacte")
        
    $ couleur_narration = couleur_chanteuse
    show expression Solid (couleur_narration) behind ivy, fonds
    show ivy chanteuse
    play music "audio/ivy/ivy_noir2.ogg"
    
    n "Ivy était donc riche, célèbre, adulée, inoubliable... et plus encore !"
    n "Pendant longtemps, très longtemps (la substance du Dieu-arbre la rendait immortelle), Ivy jouit de son désir exaucé, et s'en contenta... avec une infinie satisfaction."
    n "Mais au bout d'un certain temps, Ivy se mit à éprouver un certain malaise..."
    n "Elle avait beau vivre des passions dévastatrices, avec les hommes les plus beaux qu'on puisse imaginer... et même des femmes ! elle sentait bien que ce n'était pas vraiment elle qu'ils aimaient."
    n "Ils aimaient la substance du Dieu-arbre, et pas celle d'Ivy, car la substance d'Ivy avait cessé d'exister en se fondant dans le Dieu-arbre."
    
    nvl clear
    
    n "Ivy alla relire son vieux livre de magie, et chercha une autre divinité capable de la délivrer du fardeau de la gloire qu'elle avait pourtant tant souhaitée."
    n "Après avoir relu le livre maintes et maintes fois, Ivy se décida à aller voir le Dieu-chat."
    
    play music "audio/ivy/chat.ogg" fadeout 3.0 fadein 2.0
    n "Elle l'avait choisi, car d'après son grimoire, le Dieu-chat prenait un malin plaisir à contrarier ses pairs en défaisant leurs oeuvres."
    
    nvl clear
    
    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Le Dieu Chat")
    
    $ couleur_narration = couleur_chat
    show expression Solid (couleur_narration) behind ivy, fonds
    show ivy chat
    
    n "\"Que me veux-tu humaine ? Le Dieu-chat n'est qu'au service de sa fantaisie !"
    n "- Un Dieu-arbre m'a volé ma substance, et je voudrais m'en libérer, le sollicita Ivy. Seul un être d'une grande puissance comme la tienne peut aller contre les œuvres d'une autre divinité."
    n "- Rrrrr, ronronna le Dieu-chat. Je crois que tu ne me racontes pas toute l'histoire, mais tu as raison sur un point. Je suis le seul assez-puissant pour te délivrer du Dieu-arbre. Tu as de la chance, j'ai un petit compte à régler avec lui.\""
    
    nvl clear
    
    n "\"Mais pour que je puisse t'aider, tu dois accepter de mourir d'abord... C'est la première étape de ta délivrance !\""
    n "Ivy prit le temps de réfléchir. Mourir, c'était quand même un gros sacrifice..."
    n "Mais le Dieu-chat lui expliqua \"En fait, tu es déjà morte quand le Dieu-arbre a absorbé ta substance, et si tu veux être délivrée, je dois à mon tour absorber ta nouvelle substance. Alors seulement, tu auras peut-être une chance de pouvoir renaître...\""
    n "Ivy décida que le risque en valait la peine, et elle était si fatiguée de sa gloire sans objet..."
    n "\"D'accord, avale-moi !\" accepta-t-elle."
    
    stop music
    nvl clear
    
    show expression Solid("#000") behind ivy, fonds    
    hide ivy with fade


    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Mourir ?")
    
    $ couleur_narration = "#aaa"
    n " "
    play music2 "audio/ivy/croc.ogg"


    n "{size=+10}CROC !{/size}"
    n " "
    nvl clear
    n "La substance corporelle d'Ivy avait cessé d'exister."
    n "Mais sa conscience était délivrée."
    n "Elle flottait, sans attache, dans le vide, froid et noir."
    n "Si noir...."
    n "Attendez..."
    n "Il y avait comme un point lumineux au loin..."
    
    play music "audio/ivy/WelshPixie_-_Paradise.mp3"
    
    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Sortie ?")
    
    $ couleur_narration = couleur_fenetre
    show expression Solid (couleur_narration) behind ivy, fonds

    show ivy fenetre:
        anchor (0.5,0.5) xpos 204 ypos 306
        zoom 0.05
        0.5
        linear 5.0 zoom 1.0
    nvl clear
    n "Ivy se dirigea vers ce point lumineux."
    n "Le point était-il une sortie ?"
    n "Une sortie vers quoi ?"
    n "La fin définitive ?"
    n "Une nouvelle naissance ?"
    n "Une nouvelle chance ?"
    
    nvl clear
    
    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Renaissance")
    
    $ couleur_narration = blanc
    show expression Solid(couleur_narration) behind ivy, fonds
    show ivy femme at left
    with dissolve
    
    n "Ivy avait repris substance."
    n "Elle se sentait complètement différente de ce qu'elle avait été jusque là."
    n "Comme... inversée."
    n "Elle flottait dans du blanc, comme elle avait été avalée dans du noir juste auparavant."
    n "Elle flottait dans un rien qui était un début, après avoir vécu pendant si longtemps dans un tout qui était stérilité."
    
    nvl clear
    
    n "Comment savoir combien de temps elle resta là ? Cela n'avait aucune importance."
    n "Elle était vierge de tout passé, toute sensation, tout désir."
    n "Mais même ce moment intemporel finit par se terminer."
    n "Ivy avait oublié le Dieu-arbre, le Dieu-chat, la magie, et fut renvoyé sur terre pour une nouvelle vie."
    
    nvl clear
    
    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Une femme ordinaire")
    
    play music "audio/ivy/plage.ogg" fadeout 2.0 fadein 2.0
    $ couleur_narration = couleur_plage
    show expression Solid(couleur_narration) behind ivy, fonds
    show ivy plage408
    with fade
    
    n "Ivy était désormais une femme ordinaire."
    n "Elle n'exerçait plus de fascination surnaturelle sur l'ensemble des humains, sa voix ne faisait plus se contracter les entrailles d'aucun public."
    n "Mais son sourire si ordinaire, tourné vers une personne tout aussi ordinaire, était plus précieux que toutes les fascinations."
    n "\nEt Ivy se contente désormais de sa vie ordinaire, comme n'importe lequel d'entre nous."
    
    nvl clear
    n "Peut-être vous demandez-vous comment je peux savoir tout cela ?"
    n "\n\nÀ votre avis, à qui est-elle en train de sourire, juste maintenant ?..."
    nvl clear
    show ivy plage1088:
        zoom 0.375
        2.0
        linear 3.0 zoom 1.0 yoffset 666
    with Dissolve (2.0)
    pause 10.0

    # Nom pour les signets positionnés dans cette section
    $ save_name = _("Crédits")
    

#---------------------------------------------------------------------------------------
    # on fixe la valeur du volume des extraits à la même valeur que celle de la musique du jeu
    $ _preferences.set_volume('sample',_preferences.get_volume('music')) 
    
#---------------------------------------------------------------------------------------
## on va aux crédits
    jump credits
